حسام ایوبی

تغییر ورژن php هاست و بروز مشکلات احتمالی

دوستان با ارتقا ورژن php هاست از ۵ به ۷ چه مشکلاتی ممکنه بوجود بیاد برای قالب و فروشگاه پرستاشاپ ؟چ جوری پیشگیری کنیم؟ورژن پرستا ۱.۶.۱.۱۸ هست.

سیدهاشم افخمی

سلام

برای ارتقا نسخه php نکات زیر رو در نظر بگیرید:

1- باتوجه به ورژن پرستاشاپ بهترین نسخه برای شما php 7.1 هست. (البته توصیه میکنم هسته پرستا را به حداقل آخرین نسخه 1.6 ارتقا دهید )

2- مهم ترین مشکلی که برای تغییر نسخه php دارید ماژول های کد شده هست که توصیه میکنم ماژول های ایرانی که دارید را به آخرین نسخه منتشر شده آپدیت کنید.

اکثر ماژول های ایرانی در نسخه های یکسال گذشته با php 7.1 به بالا سازگار شدند. (تمام ماژول پرستایار با php 5.6 تا 7.3 سازگار هستند.)

3- قبل از ارتقا از پلاگین مهاجرت ماژول پرستاپلاس طبق این آموزش استفاده کنید. (تغییر نسخه php در پرستاشاپ)

این پلاگین تا 90 درصد ماژول هایی که سازگار نیستند را مشخص می کند.

4- در صورتی که با استفاده از پلاگین مهاجرت بعد از تغییر نسخه باز هم خطایی دریافت کردید، باید دیباگ رو فعال کنید تا از روی متن خطا مشخص بشه که چه ماژول سازگار نیست و باید برای رفع مشکل آپدیت بشه یا حذف بشه

ایجاد گفتگو جدید

اگر سوالی دارید ، اگر چالشی در فروشگاه خود دارید ، می توانید گفتگو خود را ایجاد نمایید.

ایجاد گفتگو جدید

دوره های آموزشی

سبدخرید